import {request} from '@zhgkpt/utils'


/**
 * 火灾分析-历史火灾李彪
 *
 * @url /system/hzfx/lshz/list
 * @method get
 */
export function historyData(params) {
  return request({
    url: '/system/hzfx/lshz/list',
    method: 'GET',
    params
  })
}

// /system/hzfx/qhcs/list
export function fireAddress(params) {
  return request({
    url: '/system/hzfx/qhcs/list',
    method: 'GET',
    params
  })
}
// /system/hzfx/qhcs/list
/**
 * 火灾分布
 * @param {*} params
 * @returns
 */
export function fireDistribution(params) {
  return request({
    url: '/system/hzfx/hzfb/list',
    method: 'GET',
    params
  })
}

/**
 * 起火原因
 * @param {*} params 
 * @returns 
 */
export function fireReason(params) {
  return request({
    url: '/system/hzfx/gjzb/qhyy/list',
    method: 'GET',
    params
  })
}

/**
 * 关键指标统计信息
 * @param {*} params 
 * @returns 
 */
export function fireKeyIndexStaticis(params) {
  return request({
    url: '/system/hzfx/gjzb/ynzs/list',
    method: 'GET',
    params
  })
}

/**
 * 关键指标图表信息
 * @param {*} params 
 * @returns 
 */
export function fireKeyIndexChart(params) {
  return request({
    url: '/system/hzfx/gjzb/myhzs/list',
    method: 'GET',
    params
  })
}
/**
 * 火灾分析 - 火灾时段
 * @param {*} params 
 * @returns 
 */
export function hzsd(params) {
  return request({
    url: 'system/hzsd/findByType',
    method: 'GET',
    params
  })
}
// 获取火灾分析-历史火灾列表
export function hzfxLsit(params) {
  return request({
    url: '/system/hzfx/lshz/list',
    method: 'GET',
    params
  })
}
// 获取火灾分析-关键指标弹窗
export function hzfGjzb(params) {
  return request({
    url: '/system/hzfx/gjzb/myhzs/translate',
    method: 'GET',
    params
  })
}
// 获取火灾分析-关键指标-起火原因弹窗
export function hzfxQhyy(params) {
  return request({
    url: '/system/hzfx/gjzb/qhyy/translate',
    method: 'GET',
    params
  })
}
// 获取火灾分析-起火场所弹窗
export function hzfxQhcs(params) {
  return request({
    url: '/system/hzfx/qhcs/translate',
    method: 'GET',
    params
  })
}